LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XControllerManager Interface Reference

The XControllerManager gives access to the controllers of the drawing framework. More...

`import"XControllerManager.idl";`

## Public Member Functions
XConfigurationController | getConfigurationController ()
| Return the XConfigurationController object. More...
XModuleController | getModuleController ()
| Return the XModuleController object. More...

## Detailed Description

The XControllerManager gives access to the controllers of the drawing framework.

The XControllerManager interface is typically implemented by the same object that implements com::sun::star::frame::XController.

## Member Function Documentation

## ◆ getConfigurationController()

XConfigurationController getConfigurationController | ( |  | ) |

Return the XConfigurationController object.

Returns
  The returned reference is never empty.

## ◆ getModuleController()

XModuleController getModuleController | ( |  | ) |

Return the XModuleController object.

Returns
  The returned reference is never empty.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/framework/XControllerManager.idl